How could I edit this so that I could select multiple lines and polylines and get the sum of them into entLength? Private Sub cmdSelect_Click() 'Declare Variables Dim returnobj As Object Dim entbasepnt As Variant Dim entLength As String frmLineLength.txtLineLength.Text = "" Me.Hide ThisDrawing.Utility.GetEntity returnobj, entbasepnt, "Select Streets: " If TypeOf returnobj Is AcadLWPolyline Or acLine Then entLength = CStr(returnobj.Length) Else ThisDrawing.Utility.Prompt returnobj.ObjectName & " selected. Please select a line:" AcadApplication.Update End If entLength = ThisDrawing.Utility.RealToString(entLength, acArchitectural, 4) Me.txtLineLength.Text = entLength Me.Show End Sub Thanks a ton everyone!